// ในไฟล์ registerController.js

exports.showRegisterPage = (req, res) => {
    res.render('register'); // ส่งค่าไปยังไฟล์ EJS ที่เป็นหน้า register
};

exports.registerUser = async (req, res) => {
    const { email, rpassword } = req.body;
    
    // ตรวจสอบข้อมูล เช่น ชื่อผู้ใช้และรหัสผ่าน
    // สมมติว่าเราทำการเก็บข้อมูลผู้ใช้ใน DB
    
    try {
        // ตัวอย่างการสมัคร (สมมติว่ามีการเก็บข้อมูลใน DB)
        // สมมติว่าผู้ใช้สมัครสำเร็จ
        req.flash('messages', 'Registration successful!');
        res.redirect('/login');
    } catch (error) {
        req.flash('messages', 'Error occurred during registration. Please try again later.');
        res.redirect('/register');
    }
};
